Skip to content
BleemeoBleemeo

List invoices

GET
/v1/invoice/
curl --request GET \
--url https://example.com/v1/invoice/ \
--header 'Authorization: Bearer <token>'

Return all invoices for the current account.

account
string
cursor
string

The pagination cursor value.

invoice_id
string
page_size
integer

Number of results to return per page.

search
string

A search term.

Media typeapplication/json
object
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
currency
string
<= 3 characters
customer
required
string format: uuid
amount_forecast
string format: decimal
nullable /^-?\d{0,6}(?:\.\d{0,2})?$/
amount_tax_excluded
required
string format: decimal
/^-?\d{0,6}(?:\.\d{0,2})?$/
amount_tax_included
required
string format: decimal
/^-?\d{0,6}(?:\.\d{0,2})?$/
end_date
required
string format: date-time
is_final
required
boolean
id
required
string format: uuid
invoice_details_file
required
string
invoice_file
required
string
invoice_id
string
<= 100 characters
paid_at
string format: date-time
nullable
payment_submitted_at
string format: date-time
nullable
rate
string format: decimal
/^-?\d{0,5}(?:\.\d{0,6})?$/
start_date
required
string format: date-time
term
required
string format: date
reservation
required
string format: uuid
Example
{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}